 # function to calculate the period in the activity data. this function retur a data frame with the name of the LAM the period value and p-value. this file is store under a newname in the work directory. 

periodlombmar<-function(file,Lam,newname){

data<-read.table(file,sep="\t")
data<-data[,-c(4,5,6,7,8,9,10)]
data$datetime<-paste(data$V2,data$V3)
data$datetime<-dmy_hms(data$datetime,tz="UTC")
data$hours[1]<-0.0

for (i in 2:nrow(data)){
data$hours[i]<-as.duration(data$datetime[1]%--%data$datetime[i])/dhours(1)
}

 Period<-c()
 LAM<-c() 
 pvalue<-c()
 PNmax<-c()
 
for (i in 4:(ncol(data)-2) ) {
c<-lsp(data[,i],times=data$hours,type="period",from=NULL,to=30,ofac=5) 
Period[i-3]<-c$peak.at[1]  #to return the value of the period
pvalue[i-3]<-c$p.value 
PNmax[i-3]<-data.frame(t(summary(c)))$PNmax
}
  
for (i in 1:32){
  LAM[i]<-paste(Lam,as.character(i),sep="_")
}

period<-(data.frame(LAM,Period,pvalue,PNmax))
write.csv(period,paste(newname,".csv",sep=""))
return(period)
}
